<?php
return [
    'aliases' => [
        '@bower' => '@vendor/bower-asset',
        '@npm'   => '@vendor/npm-asset',
    ],
    'vendorPath' => dirname(dirname(__DIR__)) . '/vendor',
	'sourceLanguage' => 'en',
	'language' => 'zh-CN',
    'components' => [
		//  新添加的
		'Amqp' => [
			'class' => 'components\service\Amqp',
			'host'	=> '127.0.0.1',
			'port'	=> '5672',
			'user'	=> 'guest',
			'pass'	=> 'Guest',
		],
        'cUrl' => [
            'class' => '\components\components\CUrl'
        ],
//
//        //新增加的加密
        'messageQueue' => [
            'class' => '\components\components\messageQueue\MessageInterface',
            'key' => 'QkwzrML50o1KIK5bI-HbkVBcTSA_Ehdh',
            'protocol' => 'http',
           'host' => '120.78.153.45'
            //           'host' => 'ki.logsystemadmin.airent.test.com'
        ],

        'cache' => [
            'class' => 'yii\caching\FileCache',
        ],

        'redis' => [
            'class' => 'yii\redis\Connection',
            'hostname' => '127.0.0.1',
            'port' => 6378,
            'database' => 0,
            'password' => 'redis12078',
        ],

		'i18n' => [
			'translations' => [
				'*' => [
					'class' => 'yii\i18n\PhpMessageSource',
					'basePath'=>'@common/messages',
					'fileMap' => [
						'common' => 'common.php',
						'error'	 => 'errorCode.php',
					],
				],
			],
		],
    ],
];
